package com.oguerreiro.resilient.repository;

import com.oguerreiro.resilient.domain.OrganizationType;
import java.util.List;
import java.util.Optional;
import org.springframework.data.domain.Page;

public interface OrganizationTypeRepositoryWithBagRelationships {
    Optional<OrganizationType> fetchBagRelationships(Optional<OrganizationType> organizationType);

    List<OrganizationType> fetchBagRelationships(List<OrganizationType> organizationTypes);

    Page<OrganizationType> fetchBagRelationships(Page<OrganizationType> organizationTypes);
}
